Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.utils.v1
Class NameValuePair

    java.lang.Object
      |
      +--oracle.portal.utils.v1.NameValuePair

public class NameValuePair
extends java.lang.Object

Utility class for storing and retrieving a name-value pair. The `name` and the `value` are stored as `String` objects. Users of this utility class are expected to carry out any validation they require.

Constructor Summary
`NameValuePair()`
`NameValuePair(java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.String` | `getName()` Gets the name of this `NameValuePair` object.
`java.lang.String` | `getValue()` Gets the vaule of this `NameValuePair` object.
`void` | `setName(java.lang.String name)` Sets the name of this `NameValuePair` object.
`void` | `setValue(java.lang.String value)` Sets the value of this `NameValuePair` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameValuePair

    public NameValuePair()

### NameValuePair

    public NameValuePair(java.lang.String name,
                         java.lang.String value)

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of this `NameValuePair` object.
  Parameters:
    `name` - - a name.

### getName

    public java.lang.String getName()

  Gets the name of this `NameValuePair` object.
  Returns:
    the name of this `NameValuePair` object.

### setValue

    public void setValue(java.lang.String value)

  Sets the value of this `NameValuePair` object.
  Parameters:
    `value` - - a value.

### getValue

    public java.lang.String getValue()

  Gets the vaule of this `NameValuePair` object.
  Returns:
    the value of this `NameValuePair` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD